Execute a saved JSON preview (safe to retry)
curl --request POST \
--url https://app.azalt.co/api/v1/source-imports/{id}/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowMissingFormSiteCreation": false
}
'import requests
url = "https://app.azalt.co/api/v1/source-imports/{id}/execute"
payload = { "allowMissingFormSiteCreation": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({allowMissingFormSiteCreation: false})
};
fetch('https://app.azalt.co/api/v1/source-imports/{id}/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run": {
"id": "<string>",
"sourceAdapterDefinitionId": "<string>",
"organizationId": "<string>",
"userId": "<string>",
"mediaId": "<string>",
"fileName": "<string>",
"status": "pending",
"totalRows": 123,
"draftCount": 123,
"issueCount": 123,
"activityWriteCount": 123,
"formValueWriteCount": 123,
"error": "<string>",
"processedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
},
"adapterVersion": "<string>",
"counts": {
"total": 1,
"parsed": 1,
"ready": 1,
"imported": 1,
"reduced": 1,
"skipped": 1,
"failed": 1
},
"replayed": true,
"execution": {
"attempted": true,
"blocked": true,
"message": "<string>",
"readiness": {
"requiresMissingFormSiteConfirmation": true,
"missingFormSites": [
{
"formId": "<string>",
"formName": "<string>",
"siteId": "<string>",
"siteName": "<string>",
"year": 123,
"rowCount": 1,
"draftKinds": [
"activity"
],
"targetKeys": [
"<string>"
],
"rowIndexes": [
1
]
}
]
}
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Source imports
Execute a saved JSON preview (safe to retry)
POST
/
source-imports
/
{id}
/
execute
Execute a saved JSON preview (safe to retry)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
1 - 200Body
application/json

